using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using System.Threading;
using System.Globalization;
using System.Configuration;

namespace Platnosci
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("elmah.axd");
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");
            string lang = Thread.CurrentThread.CurrentUICulture.TwoLetterISOLanguageName.ToLower();            

            routes.MapRoute(
                "eCard",                                            
                "eCard/Status.aspx",                                
                new { controller = "Platnosc", action = "Status" }  
            );            
            routes.MapRoute(
                "Default",                                                               
                "{language}/{controller}/{action}/{id}",                                 
                new { language = lang, controller = "Home", action = "Index", id = "" }  
            );            
        }
        protected void Application_Start()
        {
            RegisterRoutes(RouteTable.Routes);
        }
     
    }
}